<?php
/************************************************************************/
/* eXtreM CMS: Web Portal System                                        */
/* =============================                                        */
/*                                                                      */
/* Copyright (c) 2002 - 2006                                            */
/* http://www.extremcms.fr                                              */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/********************************************************/
/* NSN Your Account                                     */
/* By: NukeScripts Network (webmaster@nukescripts.net)  */
/* http://www.nukescripts.fr                            */
/* Original Script www.nukescripst.net                  */
/* Copyright © 2000-2004 by NukeScripts Network         */
/* ==================================================== */
/* Based from:                                          */
/* PHP-NUKE: Web Portal System                          */
/********************************************************/
defined('MAXIMUS') or Header("Location: ../../index.php");

$module_name = "Your_Account";
include_once('modules/Your_Account/includes/functions.php');
$ya_config = ya_get_configs();
get_lang('Your_Account');
$userpage = 1;
$index = 0;
include_once('modules/Your_Account/navbar.php');


switch($op) {

    case 'activate':include_once('modules/Your_Account/public/activate.php');break;
    case 'avatarlinksave':include_once('modules/Your_Account/public/avatarlinksave.php');break;
    case 'avatarlist':include_once('modules/Your_Account/public/avatarlist.php');break;
    case 'avatarsave':include_once('modules/Your_Account/public/avatarsave.php');break;
    case 'broadcast':include_once('modules/Your_Account/public/broadcast.php');break;
    case 'chgtheme':include_once('modules/Your_Account/public/chngtheme.php');break;
    case 'delete':include_once('modules/Your_Account/public/delete.php');break;
    case 'deleteconfirm':include_once('modules/Your_Account/public/deleteconfirm.php');break;
    case 'editcomm':include_once('modules/Your_Account/public/editcomm.php');break;
    case 'edithome':include_once('modules/Your_Account/public/edithome.php');break;
    case 'edittheme':include_once('modules/Your_Account/public/chngtheme.php');break;
    case 'edituser':include_once('modules/Your_Account/public/edituser.php');break;
   // case 'gfx':include_once('modules/Your_Account/public/gfx.php');break;
    case 'login':include_once('modules/Your_Account/public/login.php');break;
    case 'logout':include_once('modules/Your_Account/public/logout.php');break;
    case 'mailpasswd':  include_once('modules/Your_Account/public/mailpass.php'); break;
    case 'my_headlines':include_once('modules/Your_Account/public/headlines.php');break;
    case 'new_confirm'://include_once('modules/Your_Account/public/new_confirm1.php');
            if (defined('USER_ALLOW')) {
            mmain($user);
        } else {
            if ($ya_config['allowuserreg']==0) {
                if ($ya_config['requireadmin'] == 1) {
                    include_once("modules/Your_Account/public/new_confirm1.php");
                } elseif ($ya_config['requireadmin'] == 0 AND $ya_config['useactivate'] == 0) {
                    include_once("modules/Your_Account/public/new_confirm2.php");
                } elseif ($ya_config['requireadmin'] == 0 AND $ya_config['useactivate'] == 1) {
                    include_once("modules/Your_Account/public/new_confirm3.php");
                }
            } else {
                disabled();
            }
        }

    break;
    case "new_finish"://include_once("modules/Your_Account/public/new_finish1.php");
            if (defined('USER_ALLOW')) {
            mmain($user);
        } else {
            if ($ya_config['allowuserreg']==0) {
                if ($ya_config['requireadmin'] == 1) {
                    include_once("modules/Your_Account/public/new_finish1.php");
                } elseif ($ya_config['requireadmin'] == 0 AND $ya_config['useactivate'] == 0) {
                    include_once("modules/Your_Account/public/new_finish2.php");
                } elseif ($ya_config['requireadmin'] == 0 AND $ya_config['useactivate'] == 1) {
                    include_once("modules/Your_Account/public/new_finish3.php");
                }
            } else {
                disabled();
            }
        }

    break;
    case "new_user"://include_once("modules/Your_Account/public/new_user.php");
            if (defined('USER_ALLOW')) {
            mmain($user);
        } else {
            if ($ya_config['allowuserreg']==0) {
                if ($ya_config['requireadmin'] == 1) {
                    include_once("modules/Your_Account/public/new_user1.php");
                } elseif ($ya_config['requireadmin'] == 0 AND $ya_config['useactivate'] == 0) {
                    include_once("modules/Your_Account/public/new_user2.php");
                } elseif ($ya_config['requireadmin'] == 0 AND $ya_config['useactivate'] == 1) {
                    include_once("modules/Your_Account/public/new_user3.php");
                }
            } else {
                disabled();
            }
        }

    break;
    case 'pass_lost':include_once('modules/Your_Account/public/passlost.php');break;
    case 'reactivate':include_once('modules/Your_Account/public/reactivate.php');break;
    case 'reactivate_user':include_once('modules/Your_Account/public/reactivate_user.php');break;
    case 'saveactivate':include_once('modules/Your_Account/public/saveactivate.php');break;
    case 'savecomm':include_once('modules/Your_Account/public/savecomm.php');break;
    case 'savehome':include_once('modules/Your_Account/public/savehome.php');break;
    case 'savetheme':include_once('modules/Your_Account/public/savetheme.php');break;
    case 'saveuser':include_once('modules/Your_Account/public/saveuser.php');break;
    case 'userinfo':include_once('modules/Your_Account/public/userinfo.php');break;
    case 'ya_banuser': ya_banuser($userid,$username,$ip); break;


    default:
        mmain($user);
    break;

}